# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit cmake-utils

POSTGRES_COMPAT=( 10 11 12 )
inherit postgres-multi

DESCRIPTION="A PostgreSQL extrnsion that adds time-series queries, tools and optimization."
HOMEPAGE="https://www.timescale.com/"
SRC_URI="https://github.com/timescale/${PN}/releases/download/${PV}/${P}.tar.lzma"

LICENSE="Apache-2.0"
SLOT="0"
IUSE="static-libs"
KEYWORDS="~amd64 ~x86 ~arm64"

DEPEND="${POSTGRES_DEP}"
RDEPEND="${DEPEND}"

S="${WORKDIR}/${PN}"

src_prepare() {
	default

	cmake-utils_src_prepare
	postgres-multi_src_prepare
}

src_configure() {
	local mycmakeargs=(
		-DREGRESS_CHECKS=OFF
	)
	
	postgres-multi_foreach cmake-utils_src_configure
}

src_compile() {
	postgres-multi_foreach cmake-utils_src_compile
}

src_install() {
	postgres-multi_foreach cmake-utils_src_install

	use static-libs || find "${ED}" -name '*.a' -delete
}
