# Copyright 1999-2021 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

inherit meson desktop gnome2-utils

MY_PN="${PN^}"

DESCRIPTION="Elegantly record your screen"
HOMEPAGE="https://github.com/SeaDve/${MY_PN}"
SRC_URI="https://github.com/SeaDve/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"

RDEPEND="
	gnome-base/gnome-shell
	>=dev-lang/python-3.7
"
DEPEND="${RDEPEND}"

S="${WORKDIR}/${MY_PN}-${PV}"

pkg_postinst() {
        gnome2_schemas_update
	xdg_desktop_database_update
	xdg_icon_cache_update
}

pkg_postrm() {
        gnome2_schemas_update
	xdg_desktop_database_update
	xdg_icon_cache_update
}
