# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7

PYTHON_COMPAT=( python3_{7,8,9} )
DISTUTILS_SINGLE_IMPL=1

inherit desktop distutils-r1 xdg

MY_PN="${PN^}"

DESCRIPTION="A graph plotting app for GNOME"
HOMEPAGE="https://github.com/alexhuntley//${MY_PN}"
SRC_URI="https://github.com/alexhuntley/${MY_PN}/archive/refs/tags/v${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"

RDEPEND="
	>=dev-python/pyopengl-3.1.5
	>=dev-python/jinja-2.11.2
	>=dev-python/numpy-1.18.4
	>=dev-python/lark-parser-0.9.0
"
DEPEND="${RDEPEND}"

S="${WORKDIR}/${MY_PN}-${PV}"

src_compile() {
	rm -rf tests
	distutils-r1_src_compile
}

src_install() {
	distutils-r1_src_install
	
	newicon -s scalable res/com.github.alexhuntley.Plots.svg ${PN}.svg
	# newicon boycotts -s symbolic
	insinto insinto /usr/share/icons/hicolor/symbolic/apps
	newins res/com.github.alexhuntley.Plots-symbolic.svg ${PN}.svg
	
	make_desktop_entry "${PN}" "Plots" "${PN}" "Science;DataVisualization;Math"
}
