# Copyright 1999-2020 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=7
inherit meson xdg-utils

DESCRIPTION="A simple color chooser written in GTK3 (like gcolor2)"
HOMEPAGE="https://gitlab.gnome.org/World/gcolor3"
SRC_URI="https://gitlab.gnome.org/World/${PN}/-/archive/v${PV}/${PN}-v${PV}.tar.gz"

LICENSE="GPL-2"
SLOT="0"

IUSE=""
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"

DEPEND="
	>=x11-libs/gtk+-3.20
	sys-libs/libportal
"
RDEPEND="${DEPEND}"

S="${WORKDIR}/${PN}-v${PV}"

pkg_postinst() {
	xdg_icon_cache_update
}

pkg_postrm() {
	xdg_icon_cache_update
}
